Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.loader
Class DownloadPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              net.jini.loader.DownloadPermission

All Implemented Interfaces:
  Guard, Serializable

public final class DownloadPermission
extends BasicPermission

Permission that must be granted to the `CodeSource` of a downloaded class in order for the class to be defined using `RMIClassLoader`.

A `DownloadPermission` contains a name (also referred to as a "target name") but no action list; you either have the named permission or you don't. The only defined target name is "permit", which allows a downloaded class with a `CodeSource` that is granted the permission to be defined by a class loader created by `RMIClassLoader`.

Selective granting of this permission can be used to restrict the `CodeSource` values (codebase URLs and signers) from which downloaded classes can be defined using `RMIClassLoader`.

Note that this permission is only enforced if the current `RMIClassLoader` provider supports it; not all `RMIClassLoader` providers support this permission. In particular, the default provider (see `RMIClassLoader.getDefaultProviderInstance`) does not support this permission, and so when the default provider is used, downloaded classes do not need to be granted `DownloadPermission` in order to be defined using `RMIClassLoader`. `PreferredClassProvider` itself does not enforce this permission, but subclasses may configure it to do so (see `RequireDlPermProvider`).

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`DownloadPermission()` Creates a new `DownloadPermission` with the name "permit".

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DownloadPermission

    public DownloadPermission()

  Creates a new `DownloadPermission` with the name "permit".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved